import numpy as np
import matplotlib.pyplot as plt
import math

def echant(x0, x1, n, f):
	dx = (x1-x0)/n
	x = np.arange(x0,x1+dx/10,dx)
	# return (x,np.sin(x))
	return (x,f(x))

n = 5
x0 = -5
x1 = 5
(x,y) = echant(x0, x1, n, np.sin)

plt.plot(x,y,'ro-')


axes = plt.gca()
axes.set_ylim([-1.1,1.1])

n *= 100
(x,y) = echant(x0, x1, n, np.sin)
plt.plot(x,y,'k-')
plt.xlabel("$x$")
plt.ylabel("$\sin(x)$")
plt.grid(True)
plt.show()
# plt.savefig('sin_deg1.svg')

